# Get verification state

Fetches a verification state.

```http
GET https://api.pozy.ai/v1/accounts/{accountId}/gmb-verifications
```

- Area: Google Business / Google Business Verifications
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `accountId` (string, required)

## Query parameters

- `locationId` (string)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-verifications" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-verifications", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-verifications",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `accountId`, string
- `locationId`, string
- `voiceOfMerchantState`, object
  - `hasVoiceOfMerchant`, boolean
  - `hasBusinessAuthority`, boolean
  - `verify`, object
    - `hasPendingVerification`, boolean
- `verifications`, array of object
  - `name`, string
  - `method`, string: One of `ADDRESS`, `EMAIL`, `PHONE_CALL`, `SMS`, `AUTO`, `VETTED_PARTNER`
  - `state`, string: One of `PENDING`, `COMPLETED`, `FAILED`
  - `createTime`, string (date-time)

```json
{
  "success": true,
  "accountId": "696e0b682d0a31188e7a2ba9",
  "locationId": "6e99c3dd69982b334a43b0b2",
  "voiceOfMerchantState": {
    "hasVoiceOfMerchant": true,
    "hasBusinessAuthority": true,
    "verify": {
      "hasPendingVerification": true
    }
  },
  "verifications": [
    {
      "name": "Acme",
      "method": "ADDRESS",
      "state": "PENDING",
      "createTime": "2026-10-02T09:00:00.000Z"
    }
  ]
}
```
